org.osgi.framework.BundleException: Unable to resolve org.sonatype.nexus.commands [168](R 168.0): missing requirement [org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0)) [caused by: Unable to resolve org.apache.karaf.shell.console [31](R 31.0): missing requirement [org.apache.karaf.shell.console [31](R 31.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.karaf.jaas.boot.principal)(version>=3.0.0)(!(version>=4.0.0)))] Unresolved requirements: [[org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0))]

Sonatype JIRA | Mohammad Minaie | 8 months ago
  1. 0

    - Attempting to upgrade Nexus 3 MS 6 to Nexus 3 MS 7 results in an error. - Attempting to install Nexus 3 MS 7 and use the data directory from MS 6 results in an error The error is {code:bash} 2016-03-21 23:19:04,210-0400 DEBUG [FelixStartLevel] *SYSTEM org.apache.commons.io - BundleEvent STARTED - org.apache.commons.io ERROR: Bundle org.sonatype.nexus.commands [168] Error starting mvn:org.sonatype.nexus/nexus-commands/3.0.0-b2015110601 (org.osgi.framework.BundleException: Unable to resolve org.sonatype.nexus.commands [168](R 168.0): missing requirement [org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0)) [caused by: Unable to resolve org.apache.karaf.shell.console [31](R 31.0): missing requirement [org.apache.karaf.shell.console [31](R 31.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.karaf.jaas.boot.principal)(version>=3.0.0)(!(version>=4.0.0)))] Unresolved requirements: [[org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0))]) org.osgi.framework.BundleException: Unable to resolve org.sonatype.nexus.commands [168](R 168.0): missing requirement [org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0)) [caused by: Unable to resolve org.apache.karaf.shell.console [31](R 31.0): missing requirement [org.apache.karaf.shell.console [31](R 31.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.karaf.jaas.boot.principal)(version>=3.0.0)(!(version>=4.0.0)))] Unresolved requirements: [[org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0))] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4111) at org.apache.felix.framework.Felix.startBundle(Felix.java:2117) at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1371) at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308) at java.lang.Thread.run(Thread.java:745) {code}

    Sonatype JIRA | 8 months ago | Mohammad Minaie
    org.osgi.framework.BundleException: Unable to resolve org.sonatype.nexus.commands [168](R 168.0): missing requirement [org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0)) [caused by: Unable to resolve org.apache.karaf.shell.console [31](R 31.0): missing requirement [org.apache.karaf.shell.console [31](R 31.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.karaf.jaas.boot.principal)(version>=3.0.0)(!(version>=4.0.0)))] Unresolved requirements: [[org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0))]
  2. 0

    GitHub comment 33#156305469

    GitHub | 1 year ago | ben-manes
    org.osgi.framework.BundleException: Unable to resolve com.github.ben-manes.caffeine.jcache [17](R 17.0): missing requirement [com.github.ben-manes.caffeine.jcache [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.cache.configuration) Unresolved requirements: [[com.github.ben-manes.caffeine.jcache [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.cache.configuration)]
  3. 0

    How to configure LogService for embedded Apache Felix?

    Stack Overflow | 10 months ago | jchampemont
    org.osgi.framework.BundleException: Unable to resolve my.custom.bundle [1](R 1.0): missing requirement [my.custom.bundle [1](R 1.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log (version>=1.3.0)(!(version>=2.0.0))) Unresolved requirements: [[my.custom.bundle [1](R 1.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0)))]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Re: Deploy Sling to JBoss EAP 6.4.0

    sling-users | 1 year ago | Guillaume Lucazeau
    org.osgi.framework.BundleException: Unable to resolve org.apache.felix.http.bridge [10](R 10.0): missing requirement [org.apache.felix.http.bridge [10](R 10.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=3.1.0)(!(version>=4.0.0))) Unresolved requirements: [[org.apache.felix.http.bridge [10](R 10.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=3.1.0)(!(version>=4.0.0)))]
  6. 0

    Do not include jars for packages starting with 'osgi.*' in bundles directory

    GitHub | 8 months ago | tobias--
    org.osgi.framework.BundleException: Unable to resolve osgi.cmpn [11](R 11.0): missing requirement [osgi.cmpn [11](R 11.0)] osgi.compile.time.only; (&(must.not.resolve=*)(!(must.not.resolve=*))) Unresolved requirements: [[osgi.cmpn [11](R 11.0)] osgi.compile.time.only; (&(must.not.resolve=*)(!(must.not.resolve=*)))]

  1. davidvanlaatum 2631 times, last 2 months ago
  2. davidvanlaatum 10 times, last 2 months ago
6 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unable to resolve org.sonatype.nexus.commands [168](R 168.0): missing requirement [org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0)) [caused by: Unable to resolve org.apache.karaf.shell.console [31](R 31.0): missing requirement [org.apache.karaf.shell.console [31](R 31.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.karaf.jaas.boot.principal)(version>=3.0.0)(!(version>=4.0.0)))] Unresolved requirements: [[org.sonatype.nexus.commands [168](R 168.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.service.command)(version>=0.16.0))]

    at org.apache.felix.framework.Felix.resolveBundleRevision()
  2. Apache Felix Framework
    FrameworkStartLevelImpl.run
    1. org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4111)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:2117)
    3. org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1371)
    4. org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)
    4 frames
  3. Java RT
    Thread.run
    1. java.lang.Thread.run(Thread.java:745)
    1 frame